Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 2176)
+++ palm/trunk/SOURCE/Makefile	(revision 2232)
@@ -20,5 +20,6 @@
 # Current revisions:
 # ------------------
-# 
+# +dependencies for surface_mod
+# -wall_fluxes
 # 
 # Former revisions:
@@ -351,5 +352,5 @@
 	read_3d_binary.f90 read_var_list.f90 run_control.f90 \
 	set_slicer_attributes_dvrp.f90 singleton_mod.f90 sor.f90 spectra_mod.f90 \
-	subsidence_mod.f90 sum_up_3d_data.f90 \
+	subsidence_mod.f90 sum_up_3d_data.f90 surface_mod.f90 \
 	surface_coupler.f90 surface_layer_fluxes_mod.f90 swap_timelevel.f90 temperton_fft_mod.f90 \
 	time_integration.f90 time_to_string.f90 timestep.f90 \
@@ -369,5 +370,5 @@
 	user_lpm_init.f90 user_lpm_set_attributes.f90 user_module.f90 \
 	user_parin.f90 user_read_restart_data.f90 \
-	user_spectra.f90 user_statistics.f90 virtual_flight_mod.f90 wall_fluxes.f90 \
+	user_spectra.f90 user_statistics.f90 virtual_flight_mod.f90 \
 	wind_turbine_model_mod.f90 write_3d_binary.f90 write_var_list.f90
 
@@ -413,7 +414,7 @@
 advec_w_pw.o: modules.o mod_kinds.o
 advec_w_up.o: modules.o mod_kinds.o
-average_3d_data.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o \
+average_3d_data.o: modules.o cpulog_mod.o mod_kinds.o exchange_horiz_2d.o land_surface_model_mod.o \
 	radiation_model_mod.o urban_surface_mod.o
-boundary_conds.o: modules.o mod_kinds.o pmc_interface_mod.o
+boundary_conds.o: modules.o mod_kinds.o pmc_interface_mod.o surface_mod.o
 buoyancy.o: modules.o mod_kinds.o
 calc_mean_profile.o: modules.o mod_kinds.o
@@ -445,23 +446,23 @@
 data_output_2d.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o \
    netcdf_interface_mod.o land_surface_model_mod.o radiation_model_mod.o \
-   urban_surface_mod.o
+   surface_mod.o urban_surface_mod.o
 data_output_3d.o: modules.o cpulog_mod.o mod_kinds.o mod_particle_attributes.o \
    netcdf_interface_mod.o land_surface_model_mod.o urban_surface_mod.o
 diffusion_e.o: modules.o mod_kinds.o microphysics_mod.o \
-   mod_particle_attributes.o
-diffusion_s.o: modules.o mod_kinds.o
-diffusion_u.o: modules.o mod_kinds.o wall_fluxes.o
-diffusion_v.o: modules.o mod_kinds.o wall_fluxes.o
-diffusion_w.o: modules.o mod_kinds.o wall_fluxes.o
-diffusivities.o: modules.o mod_kinds.o
+   mod_particle_attributes.o surface_mod.o
+diffusion_s.o: modules.o mod_kinds.o surface_mod.o
+diffusion_u.o: modules.o mod_kinds.o surface_mod.o
+diffusion_v.o: modules.o mod_kinds.o surface_mod.o
+diffusion_w.o: modules.o mod_kinds.o surface_mod.o
+diffusivities.o: modules.o mod_kinds.o surface_mod.o
 disturb_field.o: modules.o cpulog_mod.o mod_kinds.o random_function_mod.o \
                  random_generator_parallel_mod.o
-disturb_heatflux.o: modules.o cpulog_mod.o mod_kinds.o
-eqn_state_seawater.o: modules.o mod_kinds.o
+disturb_heatflux.o: modules.o cpulog_mod.o mod_kinds.o random_generator_parallel_mod.o surface_mod.o
+eqn_state_seawater.o: modules.o mod_kinds.o surface_mod.o
 exchange_horiz.o: modules.o cpulog_mod.o mod_kinds.o
 exchange_horiz_2d.o: modules.o cpulog_mod.o mod_kinds.o pmc_interface_mod.o
 fft_xy_mod.o: modules.o mod_kinds.o singleton_mod.o temperton_fft_mod.o
 flow_statistics.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o \
-   netcdf_interface_mod.o radiation_model_mod.o
+   netcdf_interface_mod.o radiation_model_mod.o surface_mod.o
 global_min_max.o: modules.o mod_kinds.o
 header.o: modules.o cpulog_mod.o mod_kinds.o netcdf_interface_mod.o land_surface_model_mod.o\
@@ -470,14 +471,14 @@
 inflow_turbulence.o: modules.o cpulog_mod.o mod_kinds.o
 init_1d_model.o: modules.o mod_kinds.o
-init_3d_model.o: modules.o mod_kinds.o advec_ws.o cpulog_mod.o land_surface_model_mod.o \
+init_3d_model.o: modules.o mod_kinds.o advec_ws.o cpulog_mod.o disturb_heatflux.o land_surface_model_mod.o \
    lpm_init.o ls_forcing_mod.o netcdf_interface_mod.o plant_canopy_model_mod.o \
    radiation_model_mod.o random_function_mod.o random_generator_parallel_mod.o \
-   surface_layer_fluxes_mod.o microphysics_mod.o mod_particle_attributes.o \
-   urban_surface_mod.o virtual_flight_mod.o wind_turbine_model_mod.o 
+   microphysics_mod.o mod_particle_attributes.o surface_layer_fluxes_mod.o \
+   urban_surface_mod.o virtual_flight_mod.o surface_mod.o wind_turbine_model_mod.o 
 init_advec.o: modules.o mod_kinds.o
 init_cloud_physics.o: modules.o mod_kinds.o
 init_coupling.o: modules.o mod_kinds.o
 init_dvrp.o: modules.o mod_kinds.o
-init_grid.o: modules.o mod_kinds.o advec_ws.o
+init_grid.o: modules.o mod_kinds.o advec_ws.o netcdf_interface_mod.o surface_mod.o
 init_masks.o: modules.o mod_kinds.o netcdf_interface_mod.o
 init_ocean.o: modules.o eqn_state_seawater.o mod_kinds.o
@@ -487,5 +488,5 @@
 init_slope.o: modules.o mod_kinds.o
 interaction_droplets_ptq.o: modules.o mod_kinds.o
-land_surface_model_mod.o: modules.o mod_kinds.o radiation_model_mod.o
+land_surface_model_mod.o: modules.o mod_kinds.o radiation_model_mod.o surface_mod.o
 local_stop.o: modules.o mod_kinds.o pmc_interface_mod.o
 local_tremain.o: modules.o cpulog_mod.o mod_kinds.o
@@ -519,5 +520,5 @@
 ls_forcing_mod.o: modules.o cpulog_mod.o mod_kinds.o
 message.o: modules.o mod_kinds.o pmc_interface_mod.o
-microphysics_mod.o: modules.o cpulog_mod.o mod_kinds.o
+microphysics_mod.o: modules.o cpulog_mod.o mod_kinds.o surface_mod.o
 modules.o: modules.f90 mod_kinds.o
 mod_kinds.o: mod_kinds.f90
@@ -546,7 +547,8 @@
 poismg_noopt.o: modules.o cpulog_mod.o mod_kinds.o
 posix_calls_from_fortran.o: posix_calls_from_fortran.f90
-pres.o: modules.o cpulog_mod.o mod_kinds.o poisfft_mod.o poismg_mod.o pmc_interface_mod.o
+pres.o: modules.o cpulog_mod.o mod_kinds.o poisfft_mod.o poismg_mod.o pmc_interface_mod.o \
+   surface_mod.o
 print_1d.o: modules.o cpulog_mod.o mod_kinds.o
-production_e.o: modules.o mod_kinds.o wall_fluxes.o
+production_e.o: modules.o mod_kinds.o surface_mod.o
 prognostic_equations.o: modules.o advec_s_pw.o advec_s_up.o advec_s_bc.o advec_u_pw.o \
 	advec_u_up.o advec_v_pw.o advec_v_up.o advec_w_pw.o advec_w_up.o \
@@ -555,5 +557,5 @@
 	eqn_state_seawater.o mod_kinds.o microphysics_mod.o \
 	nudging_mod.o plant_canopy_model_mod.o production_e.o radiation_model_mod.o \
-	subsidence_mod.o urban_surface_mod.o user_actions.o wind_turbine_model_mod.o
+	subsidence_mod.o surface_mod.o user_actions.o wind_turbine_model_mod.o
 progress_bar_mod.o: modules.o mod_kinds.o
 radiation_model_mod.o : modules.o mod_particle_attributes.o microphysics_mod.o
@@ -563,5 +565,5 @@
 read_3d_binary.o: modules.o cpulog_mod.o mod_kinds.o \
    land_surface_model_mod.o radiation_model_mod.o random_function_mod.o random_generator_parallel_mod.o \
-   spectra_mod.o
+   spectra_mod.o surface_mod.o
 read_var_list.o: modules.o mod_kinds.o netcdf_interface_mod.o plant_canopy_model_mod.o \
    spectra_mod.o microphysics_mod.o urban_surface_mod.o virtual_flight_mod.o
@@ -573,16 +575,17 @@
 subsidence_mod.o: modules.o mod_kinds.o
 sum_up_3d_data.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o \
-                  radiation_model_mod.o urban_surface_mod.o
+                  radiation_model_mod.o surface_mod.o urban_surface_mod.o
 surface_coupler.o: modules.o cpulog_mod.o mod_kinds.o
-surface_layer_fluxes_mod.o: modules.o mod_kinds.o land_surface_model_mod.o \
-	urban_surface_mod.o
+surface_layer_fluxes_mod.o: modules.o mod_kinds.o exchange_horiz_2d.o land_surface_model_mod.o \
+	urban_surface_mod.o surface_mod.o
+surface_mod.o: modules.o mod_kinds.o init_pegrid.o
 swap_timelevel.o: modules.o cpulog_mod.o mod_kinds.o land_surface_model_mod.o \
    pmc_interface_mod.o urban_surface_mod.o
 temperton_fft_mod.o: modules.o mod_kinds.o
 time_integration.o: modules.o advec_ws.o buoyancy.o calc_mean_profile.o \
-	cpulog_mod.o data_output_flight.o interaction_droplets_ptq.o land_surface_model_mod.o \
+	cpulog_mod.o data_output_flight.o disturb_heatflux.o interaction_droplets_ptq.o land_surface_model_mod.o \
 	ls_forcing_mod.o mod_kinds.o nudging_mod.o pmc_interface_mod.o production_e.o \
 	prognostic_equations.o progress_bar_mod.o radiation_model_mod.o \
-	spectra_mod.o user_actions.o surface_layer_fluxes_mod.o microphysics_mod.o \
+	spectra_mod.o user_actions.o microphysics_mod.o surface_layer_fluxes_mod.o surface_mod.o \
 	urban_surface_mod.o virtual_flight_mod.o wind_turbine_model_mod.o
 time_to_string.o: mod_kinds.o
@@ -600,5 +603,5 @@
    netcdf_interface_mod.o
 user_check_parameters.o: modules.o mod_kinds.o user_module.o
-user_data_output_2d.o: modules.o mod_kinds.o user_module.o
+user_data_output_2d.o: modules.o mod_kinds.o surface_mod.o user_module.o
 user_data_output_3d.o: modules.o mod_kinds.o user_module.o
 user_data_output_mask.o: modules.o mod_kinds.o user_module.o
@@ -609,11 +612,11 @@
 user_header.o: modules.o mod_kinds.o user_module.o
 user_init.o: modules.o mod_kinds.o netcdf_interface_mod.o user_module.o
-user_init_3d_model.o: modules.o mod_kinds.o user_module.o
+user_init_3d_model.o: modules.o mod_kinds.o surface_mod.o user_module.o
 user_init_flight.o: modules.o mod_kinds.o netcdf_interface_mod.o user_module.o
 user_init_grid.o: modules.o mod_kinds.o user_module.o
-user_init_land_surface.o: modules.o mod_kinds.o user_module.o land_surface_model_mod.o netcdf_interface_mod.o
+user_init_land_surface.o: modules.o mod_kinds.o surface_mod.o user_module.o land_surface_model_mod.o netcdf_interface_mod.o
 user_init_plant_canopy.o: modules.o mod_kinds.o user_module.o plant_canopy_model_mod.o
 user_init_radiation.o: modules.o mod_kinds.o user_module.o radiation_model_mod.o
-user_init_urban_surface.o: modules.o mod_kinds.o user_module.o urban_surface_mod.o
+user_init_urban_surface.o: modules.o mod_kinds.o surface_mod.o user_module.o urban_surface_mod.o
 user_last_actions.o: modules.o mod_kinds.o user_module.o
 user_lpm_advec.o: modules.o mod_kinds.o user_module.o
@@ -626,9 +629,8 @@
 user_statistics.o: modules.o mod_kinds.o netcdf_interface_mod.o user_module.o
 virtual_flight_mod.o: modules.o cpulog_mod.o mod_kinds.o netcdf_interface_mod.o user_init_flight.o user_flight.o
-wall_fluxes.o: modules.o mod_kinds.o
 wind_turbine_model_mod.o: modules.o cpulog_mod.o mod_kinds.o
 write_3d_binary.o: modules.o cpulog_mod.o mod_kinds.o \
 	radiation_model_mod.o random_function_mod.o random_generator_parallel_mod.o \
-	spectra_mod.o
+	spectra_mod.o surface_mod.o
 write_var_list.o: modules.o mod_kinds.o netcdf_interface_mod.o plant_canopy_model_mod.o\
    spectra_mod.o microphysics_mod.o urban_surface_mod.o virtual_flight_mod.o
